# Couenne::CouenneOrbitBranchingObj Class Reference

"Spatial" branching object. More...

`#include <CouenneOrbitBranchingObj.hpp>`

Inheritance diagram for Couenne::CouenneOrbitBranchingObj:

List of all members.

## Public Member Functions
| CouenneOrbitBranchingObj (OsiSolverInterface *solver, const OsiObject *originalObject, JnlstPtr jnlst, CouenneCutGenerator *c, CouenneProblem *p, expression *var, int way, CouNumber brpoint, bool doFBBT, bool doConvCuts)
| Constructor.
| CouenneOrbitBranchingObj (const CouenneOrbitBranchingObj &src)
| Copy constructor.
virtual OsiBranchingObject * | clone () const
| cloning method
virtual double | branch (OsiSolverInterface *solver=NULL)
| Execute the actions required to branch, as specified by the current state of the branching object, and advance the object's state.
virtual bool | boundBranch () const
| does this branching object only change variable bounds?
void | setSimulate (bool s)
| set simulate_ field below

## Detailed Description

"Spatial" branching object.

Branching can also be performed on continuous variables.

Definition at line 36 of file CouenneOrbitBranchingObj.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneOrbitBranchingObj::CouenneOrbitBranchingObj | ( | OsiSolverInterface * | solver,
|  | const OsiObject * | originalObject,
|  | JnlstPtr | jnlst,
|  | CouenneCutGenerator * | c,
|  | CouenneProblem * | p,
|  | expression * | var,
|  | int | way,
|  | CouNumber | brpoint,
|  | bool | doFBBT,
|  | bool | doConvCuts |
| ) |  |  |

Constructor.

Referenced by clone().

Couenne::CouenneOrbitBranchingObj::CouenneOrbitBranchingObj | ( | const CouenneOrbitBranchingObj & | src | ) | `[inline]`

Copy constructor.

Definition at line 53 of file CouenneOrbitBranchingObj.hpp.

## Member Function Documentation

virtual OsiBranchingObject* Couenne::CouenneOrbitBranchingObj::clone | ( |  | ) | const`[inline, virtual]`

cloning method

Reimplemented from Couenne::CouenneBranchingObject.

Definition at line 58 of file CouenneOrbitBranchingObj.hpp.

References CouenneOrbitBranchingObj().

virtual double Couenne::CouenneOrbitBranchingObj::branch | ( | OsiSolverInterface * | solver = `NULL` | ) | `[virtual]`

Execute the actions required to branch, as specified by the current state of the branching object, and advance the object's state.

Returns change in guessed objective on next branch

Reimplemented from Couenne::CouenneBranchingObject.

virtual bool Couenne::CouenneOrbitBranchingObj::boundBranch | ( |  | ) | const`[inline, virtual]`

does this branching object only change variable bounds?

Reimplemented from Couenne::CouenneBranchingObject.

Definition at line 69 of file CouenneOrbitBranchingObj.hpp.

References Couenne::CouenneBranchingObject::doConvCuts_.

void Couenne::CouenneOrbitBranchingObj::setSimulate | ( | bool | s | ) | `[inline]`

set simulate_ field below

Reimplemented from Couenne::CouenneBranchingObject.

Definition at line 73 of file CouenneOrbitBranchingObj.hpp.

References Couenne::CouenneBranchingObject::simulate_.

The documentation for this class was generated from the following file:

- CouenneOrbitBranchingObj.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines